pci_find_next_ht_capability
Prev | PCI Support Library | Next

## Name

pci_find_next_ht_capability — query a device's Hypertransport capabilities

## Synopsis

`int pci_find_next_ht_capability (` | struct pci_dev * | dev,
| int | pos,
| int | ht_cap`)`;

## Arguments

`dev`

  PCI device to query

`pos`

  Position from which to continue searching

`ht_cap`

  Hypertransport capability code

## Description

To be used in conjunction with `pci_find_ht_capability` to search for all capabilities matching `ht_cap`. `pos` should always be a value returned from `pci_find_ht_capability`.

NB. To be 100% safe against broken PCI devices, the caller should take steps to avoid an infinite loop.

Prev | Up | Next
pci_find_ext_capability | Home | pci_find_ht_capability